Bug 6778 - provision forgot to create tls dir in private dir if --targetdir is used
provision forgot to create tls dir in private dir if --targetdir is used
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-04 15:42 UTC by Matthieu Patou
Modified: 2009-11-23 22:37 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2009-10-04 15:42:49 UTC
Make install create the private dir and a tls dir within it.
If provision is used without targetdir option the provision is OK because the tls dir already exists. But it provision script is used with --targetdir (to specify an alternate place to store the provision) then the tls dir is not created and at the startup samba process complains about not being able to create self signed certificate for ldap.
Creation of this dir and restart of samba remove this error (and certs are indeed created).
Comment 1 Matthias Dieter Wallnöfer 2009-10-15 04:14:23 UTC
Yeah that's indeed a bug. The best solution would be to check the "target dir" parameter of the provision script to make sure that it matches the installation directory(ies).
Comment 2 Andrew Bartlett 2009-11-23 22:37:35 UTC
Fixed by your patch in 3ed0cae14bdf88387abc016d678127d477d760b7